# WaitlistDestinationLists

> List the audience lists on an email connection that a waitlist can sync to. Read access, waitlists toolset, MCP tool get_waitlist_destination_lists.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `connectionId` | `UUID!` | yes |  |  |
| `waitlistId` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistDestinationLists","variables":{"connectionId":"00000000-0000-0000-0000-000000000000","waitlistId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"59342c2f21749c75a507ec1b63ffe92ef2b0b5f9ac5b4ccffcce16b4c697fdaa"}}}'
```

## Document

```graphql
query WaitlistDestinationLists($connectionId: UUID!, $waitlistId: UUID!) { __typename waitlistDestinationLists(connectionId: $connectionId, waitlistId: $waitlistId) { __typename consentWordingOutdated lists { __typename gdpr gdprPermissions { __typename id label } id name optIn otherWaitlists } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-destination-lists
